# $Revision: 1.45 $, $Date: 2003/11/11 01:42:27 $
#
# Conditional build:
# _without_dist_kernel          without distribution kernel
# _without_smp			without smp packages
# _with_kernel_2_6		build module for kernel 2.5/2.6
#
%define		_nv_name NVIDIA_kernel
%define		_nv_ver	1.0
%define		_nv_rel	4496
%define		_nv_pkg	pkg2

Summary:	nVidia kernel module for nVidia Architecture support
Summary(de):	Das nVidia-Kern-Modul fr die nVidia-Architektur-Untersttzung
Summary(pl):	Modu jdra dla obsugi kart graficznych nVidia
Name:		kernel-video-nvidia
Version:	%{_nv_ver}.%{_nv_rel}
%define	_rel	1.1
Release:	%{_rel}@%{_kernel_ver_str}
License:	nVidia
Vendor:		nVidia Corp.
Group:		Base/Kernel
Source0:	http://download.nvidia.com/XFree86/Linux-x86/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-%{_nv_pkg}.run
# Source0-md5:	34543e7bf271ff90e1a536aacd32efbd
Patch0:		%{_nv_name}-Makefile.patch
# http://www.minion.de/files/%{_nv_name}-%{_nv_ver}-%{_nv_rel}-2.5.diff
Patch1:		%{_nv_name}-%{_nv_ver}-%{_nv_rel}-2.5.diff
Patch2:		%{_nv_name}-test5.patch
URL:		http://www.nvidia.com/object/linux.html
%{!?_without_dist_kernel:BuildRequires:	kernel-headers >= 2.2.0 }
BuildRequires:	%{kgcc_package}
BuildRequires:	grep
BuildRequires:	rpmbuild(macros) >= 1.118
BuildRequires:	textutils
%{!?_without_dist_kernel:%requires_releq_kernel_up}
PreReq:		modutils >= 2.3.18-2
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.7.7-10
Provides:	XFree86-nvidia-kernel
Obsoletes:	XFree86-nvidia-kernel
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nVidia Architecture support for Linux kernel.

%description -l de
Die nVidia-Architektur-Untersttzung fr den Linux-Kern.

%description -l pl
Obsuga architektury nVidia dla jdra Linuksa. Pakiet wymagany przez
sterownik nVidii dla XFree86 4.

%package -n kernel-smp-video-nvidia
Summary:	nVidia kernel module for nVidia Architecture support
Summary(de):	Das nVidia-Kern-Modul fr die nVidia-Architektur-Untersttzung
Summary(pl):	Modu jdra dla obsugi kart graficznych nVidia
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
PreReq:		modutils >= 2.3.18-2
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.7.7-10
Provides:	XFree86-nvidia-kernel
Obsoletes:	XFree86-nvidia-kernel

%description -n kernel-smp-video-nvidia
nVidia Architecture support for Linux kernel SMP.

%description -n kernel-smp-video-nvidia -l de
Die nVidia-Architektur-Untersttzung fr den Linux-Kern SMP.

%description -n kernel-smp-video-nvidia -l pl
Obsuga architektury nVidia dla jdra Linuksa SMP. Pakiet wymagany
przez sterownik nVidii dla XFree86 4.

%if %{?_with_kernel_2_6:1}0
%define _modext ko
%else
%define _modext o
%endif

%prep
cd %{_topdir}/BUILD
rm -rf NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-%{_nv_pkg}
/bin/sh %{SOURCE0} --extract-only
%setup -q -DT -n NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-%{_nv_pkg}
%patch0 -p1
%{?_with_kernel_2_6:%patch1 -p1}
%{?_with_kernel_2_6:%patch2 -p0}

%build
IGNORE_CC_MISMATCH=ignore; export IGNORE_CC_MISMATCH
cd usr/src/nv/
%if %{?_without_smp:0}%{!?_without_smp:1}
%{__make} nvidia.o \
	CC=%{kgcc} \
	INCLUDES="%{rpmcflags} -I. -D__KERNEL_SMP=1 -D__SMP__ -I%{_kernelsrcdir}/include"
mv -f nvidia.%{_modext} nvidia-smp.%{_modext}
%{__make} clean
%endif
%{__make} nvidia.o \
        CC=%{kgcc} \
	INCLUDES="%{rpmcflags} -I.  -I%{_kernelsrcdir}/include"

%install
rm -rf $RPM_BUILD_ROOT
cd usr/src/nv/
%if %{?_without_smp:0}%{!?_without_smp:1}
install -D nvidia-smp.%{_modext} $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/nvidia.%{_modext}
%endif
install -D nvidia.%{_modext} $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/nvidia.%{_modext}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%depmod %{_kernel_ver}

%postun
%depmod %{_kernel_ver}

%post	-n kernel-smp-video-nvidia
%depmod %{_kernel_ver}smp

%postun -n kernel-smp-video-nvidia
%depmod %{_kernel_ver}smp

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%if %{?_without_smp:0}%{!?_without_smp:1}
%files -n kernel-smp-video-nvidia
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-video-nvidia.spec,v $
Revision 1.45  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.44  2003/09/13 09:58:09  adamg
- make it compile on kernel 2.6.0-test5, changes by Grzegorz Zebrowski

Revision 1.43  2003/08/19 00:43:09  adgor
- Fixed md5

Revision 1.42  2003/08/19 00:39:29  adgor
- Up to pkg2
- Updated patch1
- 2.6 friendly
- Rel 1.1

Revision 1.41  2003/08/18 08:08:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.40  2003/08/03 23:41:42  grzegol
- removed duplicate URL

Revision 1.39  2003/08/02 10:45:33  grzegol
- added URL

Revision 1.38  2003/07/28 23:29:55  grzegol
- updated linux 2.5/2.6 patch
- rel. 1

Revision 1.37  2003/07/28 22:49:26  grzegol
- updated to 1.0-4496
- rel. 0.1 (waiting for new patch for linux 2.5/2.6)

Revision 1.36  2003/07/20 12:06:44  grzegol
- added _with_kernel_2_6 bcond and patch for biulding with linux 2.5/2.6

Revision 1.35  2003/07/10 12:32:51  ankry
- cosmetics

Revision 1.34  2003/07/10 12:19:50  trojan
- added BR: rpmbuild(macros) >= 1.118

Revision 1.33  2003/07/10 10:40:00  trojan
- added using depmod macro

Revision 1.32  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.31  2003/05/25 05:49:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/15 20:54:05  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.29  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.28  2003/04/25 12:00:24  wiget
- updated to 1.0-4363

Revision 1.27  2003/04/02 23:25:38  djurban
- updated to new drivers (works with .run file)
  [based on qboosh's xfree86-driver-nvidia]
- updated patch0

Revision 1.26  2003/03/23 23:44:06  blues
- release 2; rebuild with 2.2.25

Revision 1.25  2003/02/27 20:30:50  djurban
- added _without_smp

Revision 1.24  2002/12/24 12:42:21  depesz
- kernel-smp-modules should also privode their "up" versions, to allow
  other packages depend on them

Revision 1.23  2002/12/12 14:51:21  baggins
- driver file name changed

Revision 1.22  2002/12/12 14:38:23  baggins
- updated to 1.0-4191

Revision 1.21  2002/11/17 19:15:07  kloczek
- release 4: rebuild against kernel 2.2.22-6.

Revision 1.20  2002/10/02 05:08:34  kloczek
- release 3: rebuild against kernel 2.2.22.

Revision 1.19  2002/09/15 19:36:24  kloczek
- release 2: rebuild against kernel 2.2.21-7.

Revision 1.18  2002/09/13 09:27:54  wiget
- 1.0.3123
- removed outdated parameters.patch

Revision 1.17  2002/08/06 09:23:51  qboosh
- removed non-existing *.gz from doc

Revision 1.16  2002/06/27 10:10:34  kloczek
- release 2,
- removed README from %doc (it contain only compile instruction),
- simplifications in %install.

Revision 1.15  2002/05/23 16:36:02  wiget
2960

Revision 1.14  2002/04/08 16:49:50  wiget
start update to 2880

Revision 1.13  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.12  2002/03/11 01:50:59  jack
Updated to 2802

Revision 1.11  2002/03/04 22:25:53  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.11

Revision 1.10  2002/03/03 22:39:06  marcus
- rel.10, build against 2.2.20-12

Revision 1.9  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.8  2002/02/26 15:15:02  qboosh
- use requires_releq_kernel_{up,smp} and kgcc macros, release 9

Revision 1.7  2002/02/23 21:33:06  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 8, STBR

Revision 1.6  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/11 01:54:56  kloczek
- adapterized.

Revision 1.4  2002/02/10 19:27:18  marcus
- rel. 7 (reverted 2314 version!, for build with 2.2.20-10 and 2.4)

Revision 1.2  2002/01/27 16:09:38  marcus
- Exclusivearch:  %{ix86}

Revision 1.1  2002/01/27 14:10:42  marcus
- new spec, based on XFree86-nvidia-kernel.spec and kernel-net* specs
- rel 6 (last revision in XFree86-nvidia-kernel.spec was 5)
- smp and up modules build

